Bug 160443 - snd-powermac module panics xserve system
snd-powermac module panics xserve system
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-15 03:39 EDT by Richard Henderson
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 09:52:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Henderson 2005-06-15 03:39:00 EDT
Description of problem:
Loading the snd-powermac module will cause a kernel panic
on an Xserve system.

Someone has configured the kernel panic to drop into some sort of debug
monitor instead of printing any useful information.  Unfortunately, this
debug monitor doesn't take input from a USB keyboard, which makes it 
rather useless.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Dave Jones 2005-07-15 17:51:53 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 2 Richard Henderson 2005-07-18 14:30:10 EDT
Unsurprisingly, unchanged in 1398.
Comment 3 David Woodhouse 2005-07-18 14:43:36 EDT
Please try booting with 'xmon=off' to get a sensible oops instead of bring
dropped into xmon.
Comment 4 Dave Jones 2005-09-30 02:39:11 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 5 Dave Jones 2005-11-10 14:41:47 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Dave Jones 2006-02-03 00:38:43 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 09:52:45 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.